# FoundationClasses
TKernel
Storage

# Storage_MapOfPers Class Reference

`#include <Storage_MapOfPers.hxx>`

Inheritance diagram for Storage_MapOfPers:

[legend]

## Public Member Functions

void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)
Standard_EXPORT | Storage_MapOfPers (const Standard_Integer NbBuckets=1)
Standard_EXPORT Storage_MapOfPers & | Assign (const Storage_MapOfPers &Other)
Storage_MapOfPers & | operator= (const Storage_MapOfPers &Other)
Standard_EXPORT void | ReSize (const Standard_Integer NbBuckets)
Standard_EXPORT void | Clear ()
| ~Storage_MapOfPers ()
Standard_EXPORT Standard_Boolean | Bind (const TCollection_AsciiString &K, const Handle(Storage_Root)&I)
Standard_EXPORT Standard_Boolean | IsBound (const TCollection_AsciiString &K) const
Standard_EXPORT Standard_Boolean | UnBind (const TCollection_AsciiString &K)
Standard_EXPORT const Handle_Storage_Root & | Find (const TCollection_AsciiString &K) const
const Handle_Storage_Root & | operator() (const TCollection_AsciiString &K) const
Standard_EXPORT Handle_Storage_Root & | ChangeFind (const TCollection_AsciiString &K)
Handle_Storage_Root & | operator() (const TCollection_AsciiString &K)

## Private Member Functions

Standard_EXPORT | Storage_MapOfPers (const Storage_MapOfPers &Other)

## Constructor & Destructor Documentation

Standard_EXPORT Storage_MapOfPers::Storage_MapOfPers | ( | const Standard_Integer | NbBuckets = `1` | ) |

Storage_MapOfPers::~Storage_MapOfPers | ( |  | ) | `[inline]`

Standard_EXPORT Storage_MapOfPers::Storage_MapOfPers | ( | const Storage_MapOfPers & | Other | ) | `[private]`

## Member Function Documentation

Standard_EXPORT Storage_MapOfPers& Storage_MapOfPers::Assign | ( | const Storage_MapOfPers & | Other | ) |

Standard_EXPORT Standard_Boolean Storage_MapOfPers::Bind | ( | const TCollection_AsciiString & | K,
|  | const Handle(Storage_Root)& | I
| ) |

Standard_EXPORT Handle_Storage_Root& Storage_MapOfPers::ChangeFind | ( | const TCollection_AsciiString & | K | ) |

Standard_EXPORT void Storage_MapOfPers::Clear | ( |  | ) |

Standard_EXPORT const Handle_Storage_Root& Storage_MapOfPers::Find | ( | const TCollection_AsciiString & | K | ) | const

Standard_EXPORT Standard_Boolean Storage_MapOfPers::IsBound | ( | const TCollection_AsciiString & | K | ) | const

void Storage_MapOfPers::operator delete | ( | void * | anAddress | ) | `[inline]`

| Reimplemented from TCollection_BasicMap.

void* Storage_MapOfPers::operator new | ( | size_t | size | ) | `[inline]`

| Reimplemented from TCollection_BasicMap.

void* Storage_MapOfPers::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

| Reimplemented from TCollection_BasicMap.

Handle_Storage_Root& Storage_MapOfPers::operator() | ( | const TCollection_AsciiString & | K | ) | `[inline]`

const Handle_Storage_Root& Storage_MapOfPers::operator() | ( | const TCollection_AsciiString & | K | ) | const`[inline]`

Storage_MapOfPers& Storage_MapOfPers::operator= | ( | const Storage_MapOfPers & | Other | ) | `[inline]`

Standard_EXPORT void Storage_MapOfPers::ReSize | ( | const Standard_Integer | NbBuckets | ) |

Standard_EXPORT Standard_Boolean Storage_MapOfPers::UnBind | ( | const TCollection_AsciiString & | K | ) |

The documentation for this class was generated from the following file:

- Storage_MapOfPers.hxx